SET SERVEROUTPUT ON SIZE 1000000;
set verify off;

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;		
	l_func_id			VARCHAR2(100):='CAPAPREC_TOLERANCE';	

BEGIN
	SELECT COUNT(1) 
	INTO l_total_extracted
	FROM
		AP_TOLERANCES_ALL				F,
		HR_ALL_ORGANIZATION_UNITS		B,
		HR_ORGANIZATION_INFORMATION		I
	WHERE	SUBSTR(B.Name,4,4)			=	UPPER('&1')
	AND		B.Organization_ID			=	F.Org_ID
	AND		B.Organization_ID			=	I.Organization_ID
	AND		I.Org_Information_Context	=	'Operating Unit Information';

	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_AP_TOLERANCES;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);
	


END;
/
